import { DynamicModule } from '@nestjs/common';
import { RedisModuleAsyncOptions, RedisModuleOptions } from './options';
export declare class RedisModule {
    static forRoot(connectionOptions: RedisModuleOptions, customClientToken?: string): DynamicModule;
    static forRootAsync(connectOptions: RedisModuleAsyncOptions, customClientToken?: string): DynamicModule;
    private static createConnectOptionsProviders;
    private static createConnectOptionsProvider;
}
